| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Properties | Private Attributes | List of all members
MyImageProcessingClasses.MarksDetector Class Reference

Class used to detect marks by averaging previous measurement results. More...

## Public Member Functions
| MarksDetector ()
| Default constructor. More...
void | Reset ()
| Empty the query. More...
void | AddPoint (PointF point)
| Adds point into the query. More...
Boolean | DetectMark (out Point detectedPoint)
| Detect point using values stored in buffer. More...

## Properties
Boolean | IsBufferFull`[get]`
| Buffer full property getter. More...

## Private Attributes
const Byte | MARK_BUFFER_LENGTH = 5
| Length of buffer to store previous measurements. More...
const float | DEVIATION_THRESH = 10f
| Maximal allowed deviation. More...
Queue< PointF > | marksBuffer = new Queue<PointF>(MARK_BUFFER_LENGTH)
| Queue to store last values. More...
Object | bufferAccessLock = new Object()
| Lock for buffer operations. More...

## Detailed Description

Class used to detect marks by averaging previous measurement results.

Definition at line 482 of file MyImageProcessingClasses.cs.

## Constructor & Destructor Documentation

MyImageProcessingClasses.MarksDetector.MarksDetector | ( |  | ) |

Default constructor.

Definition at line 507 of file MyImageProcessingClasses.cs.

## Member Function Documentation

void MyImageProcessingClasses.MarksDetector.AddPoint | ( | PointF | point | ) |

Adds point into the query.

Parameters

  point | Point.

Definition at line 523 of file MyImageProcessingClasses.cs.

Boolean MyImageProcessingClasses.MarksDetector.DetectMark | ( | out Point | detectedPoint | ) |

Detect point using values stored in buffer.

Parameters

  detectedPoint | Detected point.

Returns
  True if succeedes.

Definition at line 558 of file MyImageProcessingClasses.cs.

void MyImageProcessingClasses.MarksDetector.Reset | ( |  | ) |

Empty the query.

Definition at line 513 of file MyImageProcessingClasses.cs.

## Member Data Documentation

Object MyImageProcessingClasses.MarksDetector.bufferAccessLock = new Object()
| private

Lock for buffer operations.

Definition at line 502 of file MyImageProcessingClasses.cs.

const float MyImageProcessingClasses.MarksDetector.DEVIATION_THRESH = 10f
| private

Maximal allowed deviation.

Definition at line 492 of file MyImageProcessingClasses.cs.

const Byte MyImageProcessingClasses.MarksDetector.MARK_BUFFER_LENGTH = 5
| private

Length of buffer to store previous measurements.

Definition at line 487 of file MyImageProcessingClasses.cs.

Queue<PointF> MyImageProcessingClasses.MarksDetector.marksBuffer = new Queue<PointF>(MARK_BUFFER_LENGTH)
| private

Queue to store last values.

Definition at line 497 of file MyImageProcessingClasses.cs.

## Property Documentation

Boolean MyImageProcessingClasses.MarksDetector.IsBufferFull
| get

Buffer full property getter.

Definition at line 545 of file MyImageProcessingClasses.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/MyImageProcessingClasses.cs